eID middleware |

# be.portugal.eid.PTEID_Pins Class Reference

Container class for all pins on the card. More...

Inheritance diagram for be.portugal.eid.PTEID_Pins:

List of all members.

## Public Member Functions
synchronized void | delete ()
long | count () throws java.lang.Exception
| The number of pins on the card.
PTEID_Pin | getPinByNumber (long ulIndex) throws java.lang.Exception
| Get the pin by its Index.
## Protected Member Functions
| PTEID_Pins (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_Pins obj)

## Detailed Description

Container class for all pins on the card.

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_Pins.PTEID_Pins | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

## Member Function Documentation

long be.portugal.eid.PTEID_Pins.count | ( |  | ) | throws java.lang.Exception

The number of pins on the card.

synchronized void be.portugal.eid.PTEID_Pins.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Crypto.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_Pins.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Crypto.

static long be.portugal.eid.PTEID_Pins.getCPtr | ( | PTEID_Pins | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_Pins.swigCPtr.

PTEID_Pin be.portugal.eid.PTEID_Pins.getPinByNumber | ( | long | ulIndex | ) | throws java.lang.Exception

Get the pin by its Index.

Parameters:

  | ulIndex | the PIN index Throws PTEID_ExParamRange() exception if the index is out of range